Ubuntu

[lucid] flashplugin-installer doesn't work with Firefox 3.6

Reported by CristianCantoro on 2010-03-05
84
This bug affects 16 people
Affects Status Importance Assigned to Milestone
flashplugin-nonfree (Ubuntu)
Undecided
Unassigned
Nominated for Lucid by Francesco Pretto
ubufox (Ubuntu)
Undecided
Unassigned
Nominated for Lucid by Francesco Pretto

Bug Description

Binary package hint: flashplugin-nonfree

After distribution upgrade from 9.10 -> 10.04 with Firefox v.3.6 installed, no flash plugin is available and/or working, firefox notices that plugins are missing but in the wizard plugin installer no solution are shown.
So no flash.

:~$ uname -a
Linux cristian-asus 2.6.32-14-generic #20-Ubuntu SMP Sat Feb 20 05:18:19 UTC 2010 x86_64 GNU/Linux

:~$ lsb_release -rd
Description: Ubuntu lucid (development branch)
Release: 10.04

:~$ apt-cache policy firefox
firefox:
  Installato: 3.6+nobinonly-0ubuntu5
  Candidato: 3.6+nobinonly-0ubuntu5
  Tabella versione:
 *** 3.6+nobinonly-0ubuntu5 0
        500 http://it.archive.ubuntu.com lucid/main Packages
        100 /var/lib/dpkg/status

:~$ apt-cache policy flashplugin-installer
flashplugin-installer:
  Installato: 10.0.45.2ubuntu1
  Candidato: 10.0.45.2ubuntu1
  Tabella versione:
 *** 10.0.45.2ubuntu1 0
        500 http://it.archive.ubuntu.com lucid/multiverse Packages
        100 /var/lib/dpkg/status

:~$ apt-cache policy flashplugin-nonfree
flashplugin-nonfree:
  Installato: 10.0.45.2ubuntu1
  Candidato: 10.0.45.2ubuntu1
  Tabella versione:
 *** 10.0.45.2ubuntu1 0
        500 http://it.archive.ubuntu.com lucid/multiverse Packages
        100 /var/lib/dpkg/status

For any further information, please ask! This is likely to be a major request when stable 10.04 will be released.

John Vivirito (gnomefreak) wrote :

I am unable to confirm this on Lucid with firefox-3.6+nobinonly-0ubuntu5 or firefox-3.6.2~hg20100302r33648+nobinonly-0ubuntu1~umd1

gnomefreak@Development:~$ policy flashplugin-installer
flashplugin-installer:
  Installed: 10.0.45.2ubuntu1
  Candidate: 10.0.45.2ubuntu1
  Version table:
 *** 10.0.45.2ubuntu1 0
        500 http://gb.archive.ubuntu.com lucid/multiverse Packages
        100 /var/lib/dpkg/status
gnomefreak@Development:~$ policy flashplugin-nonfree
flashplugin-nonfree:
  Installed: (none)
  Candidate: 10.0.45.2ubuntu1
  Version table:
     10.0.45.2ubuntu1 0
        500 http://gb.archive.ubuntu.com lucid/multiverse Packages

sheldonross (ross-sheldon) wrote :

Just upgraded from 9.10 to Lucid last night, and I can confirm this bug. Flash was working fine before I upgraded, now firefox doesn't recognize the flash plugin.

I tried 'sudo apt-get install --reinstall flashplugin-installer'

Still no luck

meg@meg-laptop:~$ uname -a
Linux meg-laptop 2.6.32-15-generic #22-Ubuntu SMP Tue Mar 2 02:24:17 UTC 2010 i686 GNU/Linux

meg@meg-laptop:~$ apt-cache policy flashplugin-installer
flashplugin-installer:
  Installed: 10.0.45.2ubuntu1
  Candidate: 10.0.45.2ubuntu1
  Version table:
 *** 10.0.45.2ubuntu1 0
        500 http://us.archive.ubuntu.com lucid/multiverse Packages
        100 /var/lib/dpkg/status

meg@meg-laptop:~$ apt-cache policy firefox
firefox:
  Installed: 3.6+nobinonly-0ubuntu5
  Candidate: 3.6+nobinonly-0ubuntu5
  Version table:
 *** 3.6+nobinonly-0ubuntu5 0
        500 http://us.archive.ubuntu.com lucid/main Packages
        100 /var/lib/dpkg/status

Viktors Petrovs (viks77) wrote :

Renamed link to flashplugin with lib prefix and now it works for me!

cd /usr/lib/firefox-addons/plugins
sudo mv flashplugin-alternative.so libflashplugin-alternative.so

CristianCantoro (kikkocristian) wrote :

2010/3/30 Viktors Petrovs <email address hidden>:
> Renamed link to flashplugin with lib prefix and now it works for me!
>
> cd /usr/lib/firefox-addons/plugins
> sudo mv flashplugin-alternative.so libflashplugin-alternative.so

May I ask where the said link points? I have no such link in /usr/lib/firefox-addons/plugins (more... that dir is empty!)
Furthermore, unless I have both flashplugin-installer and flashplugin-nonfree packages (see above) installed I can't see any significative occurence of flashplugin or libflash in my sistem (i.e. I got package info files and so on, but no libs it seems)

On Wed, 2010-03-31 at 08:40 +0000, CristianCantoro wrote:
> May I ask where the said link points? I have no such link in /usr/lib/firefox-addons/plugins (more... that dir is empty!)
> Furthermore, unless I have both flashplugin-installer and flashplugin-nonfree packages (see above) installed I can't see any significative occurence of flashplugin or libflash in my sistem (i.e. I got package info files and so on, but no libs it seems)
>
Package flashplugin-installer does not contain plugin lib files, it
downloads needed files from adobe site.
As i understand flashplugin-installer installs link in
the /usr/lib/firefox/plugins while current firefox-3.6 files are
under /usr/lib/firefox-3.6/ directory.

I have two systems with Ubuntu Lucid. One fresh installed other upgraded
from previous Ubuntu version. On both systems there was same problems
with flash plugin.

You can create link to flashplugin manually. Go to firefox plugins
directory:

cd /usr/lib/firefox-addons/plugins

Create symbolic link to flashplugin:

sudo ln -s /usr/lib/firefox/plugins/flashplugin-alternative.so
libflashplugin-alternative.so

Name of the symbolic link must start with "lib" prefix.

I have following links on my system:

/usr/lib/firefox-3.6/plugins
-> ../firefox-addons/plugins

/usr/lib/firefox-addons/plugins/libflashplugin-alternative.so
-> /usr/lib/firefox/plugins/flashplugin-alternative.so

/usr/lib/firefox/plugins/flashplugin-alternative.so
-> /etc/alternatives/firefox-flashplugin

/etc/alternatives/firefox-flashplugin
-> /usr/lib/flashplugin-installer/libflashplayer.so

I think there is two problems with flashplugin-installer:
1) It places link in wrong place (or firefox is installed in wrong
place :D)
2) It creates link with wrong name! Must be prefixed with "lib"!

Viktors Petrovs (viks77) wrote :

"There ARE two problems with flashplugin-installer..."
Sorry for may bad english :)

@Viktors: thank you for your detailed answer :D

2010/3/31 Viktors Petrovs <email address hidden>:
> You can create link to flashplugin manually. Go to firefox plugins
> directory:
>
> cd /usr/lib/firefox-addons/plugins
>
> Create symbolic link to flashplugin:

unfortunately that folder is empty on my system (upgraded from previous version)
cristian@cristian-asus:/usr/lib/firefox-addons/plugins$ ls -al
totale 8
drwxr-xr-x 2 root root 4096 2010-02-18 04:06 .
drwxr-xr-x 5 root root 4096 2010-02-22 16:50 ..

>
> sudo ln -s /usr/lib/firefox/plugins/flashplugin-alternative.so
> libflashplugin-alternative.so
>
> Name of the symbolic link must start with "lib" prefix.
>
>
> I have following links on my system:
>
> /usr/lib/firefox-3.6/plugins
> -> ../firefox-addons/plugins

I have this folder but the name in my case is /usr/lib/firefox-3.6.3pre
I think this is a slightly different version.

Please note that this folder contains:
lrwxrwxrwx 1 root root 25 2010-03-16 10:19 plugins ->
../firefox-addons/plugins
lrwxrwxrwx 1 root root 31 2010-03-16 10:19 searchplugins ->
../firefox-addons/searchplugins

both /usr/lib/firefox-addons/plugins and
/usr/lib/firefox-addons/searchplugins are empty!

>
> /usr/lib/firefox-addons/plugins/libflashplugin-alternative.so
> -> /usr/lib/firefox/plugins/flashplugin-alternative.so

> /usr/lib/firefox/plugins/flashplugin-alternative.so
> -> /etc/alternatives/firefox-flashplugin

Also /usr/lib/firefox/plugin is empty on my system:
cristian@cristian-asus:/usr/lib/firefox/plugins$ ls -al
totale 8
drwxr-xr-x 2 root root 4096 2010-02-23 12:22 .
drwxr-xr-x 3 root root 4096 2010-01-2
8 09:31 ..

> /etc/alternatives/firefox-flashplugin
> -> /usr/lib/flashplugin-installer/libflashplayer.so

I have no firefox-flashplugin under /etc/alternatives, here you can
see the only occurrences for "firefox" I can find in that folder:
cristian@cristian-asus:/etc/alternatives$ ls -l | grep firefox
lrwxrwxrwx 1 root root 49 2010-01-27 18:49 firefox-homepage ->
/usr/share/ubuntu-artwork/home/firefox-index.html
lrwxrwxrwx 1 root root 45 2010-01-27 18:49 firefox-homepage-locales
-> /usr/share/ubuntu-artwork/home/locales-ubuntu

> I think there is two problems with flashplugin-installer:
> 1) It places link in wrong place (or firefox is installed in wrong
> place :D)
> 2) It creates link with wrong name! Must be prefixed with "lib"!

I may add that, in my case, it even doesn't create links! (as I was
saying above I don't find nothing useful if I search "flashplugin" on
my system).

PriyankaNM (priyanka) wrote :

The same thing happened to me when I recently upgraded to Firefox 3.6.3, my Ubuntu is 10.04. Previously flash was working perfectly. But now I can see blank white area in the video clips section in youtube. I checked "about:plugins" in firefox. The page shows that no plugin is installed.

Now I opened Tools > Add-ons > Plugins

So when I checked the Firefox Plugins section as mentioned above, to my surprise I saw that all the plugins mentioned there, were actually disabled by default. Same with Shockwave Flash 10.0 r45 too. After I enabled it, Youtube started working. This was Funny!

MadMedis (aquinasp1q2a3) wrote :

I had a similar situation to CristianCantoro, my system did not have any of the flashplugin files listed by Viktors Petrovs.

I upgraded to the latest packages using the update manager (I believe I am now running "Beta 2"), then I did a "sudo apt-get install flashplugin-installer --reinstall". From the command line I could clearly see it downloading the binary from Adobe's website. When it was done I restarted firefox and now Flash is working! Thanks for fixing this.

David Gómez (dabisu) wrote :

I downloaded beta2 just some hours ago, and this bug is still present. Somehow the plug-in files are deleted!!

Running "sudo apt-get install flashplugin-installer --reinstall" solves the problem.

But please fix this bug before the final release. Upgrading to 10.4 and having no flash in Firefox and Chrome, when you had flashplugin-nonfree installed and working in 9.10 is bad bad :(

Fabio Marzocca (thesaltydog) wrote :

Each time I use Firefoz I need to --reinstall flashplugin-installer. This is very bad.

Dennis Beekman (d-c-beekman) wrote :

I Have Lucid RC1 AMD64 installed and i can confirm this problem.

I cannot install the flashplayer because the flashplayer-installer is not configured and cannot be configured according to APT...

Fabio Marzocca (thesaltydog) wrote :

Will this bug be fixed before release?
I don't have any audio from flash on Firefox and each time I need to --reinstall flashplugin-installer

Fabio Marzocca (thesaltydog) wrote :

This bug is not happening on brand-new installation of Lucid. It looks like it is coming only from upgrades from previous version.

Wolf Halton (saphil) wrote :

I have this issue on an upgrade. This system has been running since 2007 with upgrades working fine. It has probably got a lot of tweaks which I cannot remember at this point, and I am not really wanting to run a clean install on this machine. Maybe the answer is to run a dual-boot to migrate the users over. I would rather have a better work-around, or a real patch.

Fabio Marzocca (thesaltydog) wrote :

I think I got the problem.

I have found in my $HOME/.mozilla/plugins an old libflashplayer.so file. I deleted it, rebooted and everything is working fine.

Siert (sgz) wrote :

My 2 cents..

During the upgrade I received an error from NetworkManager applet and noticed that my networking was gone. All packages needed for the upgrade were downloaded already, but the flashplugin-installer package wasn't able to download the adobe plugin from the internet anymore. After a successful dist-upgrade I was able to reconfigure the flashplugin-installer package; afterwards everything went wel.

It is nice to see that there is a bunch of possible solutions.
None of which is working for me.
As I said early I have no significant occurrence of flasplugin in my
system. Reinstalling the package does not work

Aanyway, thanks to everybody for givin it a try.

Cristian

2010/5/3 Siert <email address hidden>:
> My 2 cents..
>
> During the upgrade I received an error from NetworkManager applet and
> noticed that my networking was gone. All packages needed for the upgrade
> were downloaded already, but the flashplugin-installer package wasn't
> able to download the adobe plugin from the internet anymore. After a
> successful dist-upgrade I was able to reconfigure the flashplugin-
> installer package; afterwards everything went wel.
>
> --
> [lucid] flashplugin-installer doesn't work with Firefox 3.6
> https://bugs.launchpad.net/bugs/532542
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Nuno Nunes (nmanunes) wrote :

I also couldn't play flash after upgrading from karmic to lucid. Fabio's solution (#16) worked for me too. Thanks, Fabio!

 By the way, I didn't need to reboot my machine, just restart firefox.

After the update four of five days ago I nticed that Firefox was now
proposing me to install flashplugin automatically (I mean clicking
"install missing plugins" and following the wizard). Previously when I
clicked on that nothing was proposed.

I tried to install the package but the system was givin me the error
that "flashplugin-install" was already installed on the system, su I
purged (via aptitude) the "flashplugin-installer" package and
reinstalled it trough the wizard in Firefox.

Now everything works.

Here the version now installed on my system:
 flashplugin-installer 10.0.45.2ubunt Adobe Flash Player plugin installer

This bud is fixed for me.

Cristian

2010/5/11 Nuno Nunes <email address hidden>:
> I also couldn't play flash after upgrading from karmic to lucid.
> Fabio's solution (#16) worked for me too. Thanks, Fabio!
>
>  By the way, I didn't need to reboot my machine, just restart firefox.
>
> --
> [lucid] flashplugin-installer doesn't work with Firefox 3.6
> https://bugs.launchpad.net/bugs/532542
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Frank Mayer (fmjunk) wrote :

For me, none of the methods suggested above worked. I finally gave up on the flashplugin-installer package and used flashplugin64-installer from the ppa:sevenmachines/flash repository instead. That did the trick for me, but I would still like to get the standard package to work.

Frank

Matt (b-launchpad-net-meh106) wrote :

I've just installed Lucid and come across the same problem. The machine is within a corporate network and needs to go via a http proxy to get to the internet (to download the flash plugin). Despite having the $http_proxy environment variable set, and the gnome proxy settings correctly set, the flashplugin-installer does not seem to use the proxy and therefore failed.

$> sudo aptitude reinstall flashplugin-installer

  ...
  Setting up flashplugin-installer (10.0.45.2ubuntu1) ...
  Downloading...
  --2010-06-03 14:00:26-- http://archive.canonical.com/pool/partner/a/adobe-flashplugin/adobe-flashplugin_10.0.45.2.orig.tar.gz
  Resolving archive.canonical.com... 91.189.88.33
  Connecting to archive.canonical.com|91.189.88.33|:80... failed: No route to host.
  download failed
  The Flash plugin is NOT installed.
  ...

Using socksify (and therefore going via the corporate socks proxy) solved this for me:

$> sudo socksify aptitude reinstall flashplugin-installer

flashplugin-installer needs to be modified to use proxy settings.

Kieran Brownlees (kbrownlees) wrote :

I can confirm what Matt said. Behind a corporate firewall I get:

Setting up flashplugin-installer (10.1.53.64ubuntu0.10.04.1) ...
Downloading...
--2010-06-15 07:56:02-- http://archive.canonical.com/pool/partner/a/adobe-flashplugin/adobe-flashplugin_10.1.53.64.orig.tar.gz
Resolving archive.canonical.com... 91.189.88.33
Connecting to archive.canonical.com|91.189.88.33|:80... failed: Connection refused.
download failed
The Flash plugin is NOT installed.

Yet from the same console:

kieran@tyrid:~/Work/DMRDigitalTransceiver$ wget http://archive.canonical.com/pool/partner/a/adobe-flashplugin/adobe-flashplugin_10.1.53.64.orig.tar.gz
--2010-06-15 07:54:02-- http://archive.canonical.com/pool/partner/a/adobe-flashplugin/adobe-flashplugin_10.1.53.64.orig.tar.gz
Connecting to 202.37.97.11:3128... connected.
Proxy request sent, awaiting response... 200 OK
Length: 4739416 (4.5M) [application/x-gzip]
Saving to: `adobe-flashplugin_10.1.53.64.orig.tar.gz'

100%[===================================================================>] 4,739,416 109K/s in 44s

2010-06-15 07:54:47 (106 KB/s) - `adobe-flashplugin_10.1.53.64.orig.tar.gz' saved [4739416/4739416]

I have the same problem - flashplugin-installer not been installed because wget fails downloading the plugin from archive.canonical.com.

I fixed it by specifying an http_proxy in /etc/wgetrc.

The line bellow also has worked for me:
   sudo http_proxy=http://myproxy.somewhere.com:8080/ apt-get install --reinstall flashplugin-installer

Thomas Hotz (thotz) on 2012-04-29
Changed in flashplugin-nonfree (Ubuntu):
status: New → Confirmed
Changed in ubufox (Ubuntu):
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers